Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005076TestLinkTest Executepublic2012-06-25 14:092013-05-26 18:50
Reporterlanijer 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionXP Pro SP3
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005076: Unable to execute a test once Testlink has been integrated with FogBugz
DescriptionI have attempted to Integrate TestLink with FogBugz by modifying the config.inc.php file to $g_interface_bugs = 'FOGBUGZ';
and by changing specific account details in the \cfg\fogbugz.cfg.php file.
However, when I attempt to run a test case that i have created i am experiencing a HTTP 500 Server error as it is not possible to run the following file at: http://testlink/lib/execute/execSetResults.php [^]





Steps To Reproduce1) Navigate to http://testlink/index.php [^]
2) Login with authenticated details
3) Login as a user with Senior Tester permissions
4) Click Execute Tests
5) Click on the Test case in the Tree Hierachy section
6) Observe the HTTP server 500 error that appears
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserInternet Explorer 8.0.6001.18702
PHP Version5.4.7
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon http500.jpg [^] (160,187 bytes) 2012-06-25 14:09

- Relationships

-  Notes
(0016947)
kinow (reporter)
2012-07-02 16:38

Hi @lanijer! Could you provide more info, like your php and server version, apache and testlink logs and events? As well as any other information you think would be useful.

Thanks
(0018222)
flozzone (reporter)
2013-01-24 17:12
edited on: 2013-01-25 16:16

Same here:

environment:
------------
testlink-1.9.5 package from sourceforge
PHP 5.3.10
Apache 2.2.22
Mysql 5.5.29

testlink config:
-------------
- custom_config and config_db copied from 1.9.4
- custom $tlCfg->results['status_code']
- custom $tlCfg->results['status_label']
- custom $tlCfg->results['status_label_for_exec_ui']
- custom $tlCfg->results['default_status']

- no logs in log folder

testlink events:
---------------
multiple times this one:
===========
Log level WARNING
Timestamp 24/01/2013 18:05:28
Source GUI
Description E_NOTICE Undefined index: not_run - in /var/www/testlink-1.9.5/lib/functions/treeMenu.inc.php - Line 903
===========

one time this:
===========
Log level WARNING
Timestamp 24/01/2013 18:05:28
Source GUI
Description E_NOTICE Undefined index: filter_active_inactive - in /var/www/testlink-1.9.5/gui/templates_c/%%31^31A^31A35F5F%%inc_filter_panel.tpl.php - Line 229
===========

Deleting cache, php session and firefox private browsing doesnt help. I will do some further investigation on this and report later.

(0018223)
flozzone (reporter)
2013-01-24 17:18

and same on (with same configs):

environment:
------------
Apache/2.2.14
mysql 5.1.41
(0018224)
fman (administrator)
2013-01-24 17:31

1. test without issue tracker integration
2. test without ANY UNNEEDED CUSTOM CONFIG
3. attach XML configuration regarding issue tracker integration.
(0018226)
flozzone (reporter)
2013-01-25 14:18
edited on: 2013-01-25 14:57

1. without works
2. same behavior without custom config (i need them for jenkins!)
3. here the xml if it helps:
-------------
<issuetracker>
  <username>myusername</username>
  <password>mypassword</password>
  <uribase>https://myfogbugzaccount.fogbugz.com</uribase> [^]
  <project>myproject</project>
</issuetracker>
-------------

btw:
- fixed not_run warning -> myfault, but filter_active_inactive still appears.
- the reporter reported that problem with version 1.9.3, but I am facing this problem with version 1.9.5 and RestAPI. Should I create a new bug?
- seems to fail in $it_mgr->getInterfaceObject($args->tproject_id);

PS: So` leggere le lettere minuscoli!

(0018227)
fman (administrator)
2013-01-25 16:11

Great you are able to read lower case and also upper case.
If i put important sentence on bold in order to be certain is highlited, bold you are going to say that you can read without bold?

Since release of 1.9.5 we do not accept issues report regarding 1.9.3
(0018233)
fman (administrator)
2013-01-26 18:14

Tested with latest code from gitorious.
Used config:
<issuetracker>
<username>francisco.mancardi@gmail.com</username>
<password>qazwsxedc</password>
<uribase>https://fman.fogbugz.com/</uribase> [^]
<project>TestLink Testing</project>
</issuetracker>

(this config is provided in example present on
[TL INSTALL DIR]lib/issuetrackerintegration/code_testing/test.fogbugzrestInterface.class.php)

- Issue History
Date Modified Username Field Change
2012-06-25 14:09 lanijer New Issue
2012-06-25 14:09 lanijer File Added: http500.jpg
2012-07-02 16:38 kinow Note Added: 0016947
2013-01-24 17:12 flozzone Note Added: 0018222
2013-01-24 17:18 flozzone Note Added: 0018223
2013-01-24 17:25 flozzone Note Edited: 0018222 View Revisions
2013-01-24 17:31 fman Note Added: 0018224
2013-01-25 14:18 flozzone Note Added: 0018226
2013-01-25 14:57 flozzone Note Edited: 0018226 View Revisions
2013-01-25 16:11 fman Note Added: 0018227
2013-01-25 16:16 fman Note Edited: 0018222 View Revisions
2013-01-26 18:14 fman PHP Version 5.0.1 => 5.4.7
2013-01-26 18:14 fman QA Team - Task Workflow Status => READY FOR TESTING
2013-01-26 18:14 fman Note Added: 0018233
2013-01-26 18:14 fman Status new => resolved
2013-01-26 18:14 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-01-26 18:14 fman Resolution open => fixed
2013-01-26 18:14 fman Assigned To => fman
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker